"""
@author: luojunhui
"""
import time
import asyncio
import datetime
from tasks.history_task import historyContentIdTask
from applications.db import TaskMySQLClient


async def main():
    """
    main job
    :return:
    """
    TMC = TaskMySQLClient()
    await TMC.init_pool()
    PD = historyContentIdTask(TMC)
    await PD.deal()


if __name__ == '__main__':
    while True:
        asyncio.run(main())
        now_str = datetime.datetime.now().__str__()
        print("{}    请求执行完成， 等待60s".format(now_str))
        time.sleep(60)
